Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.query.impl
Class AuditableEventQueryTypeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.ebxml._2._1.query.impl.RegistryObjectQueryTypeImpl
                      org.eclipse.ohf.ihe.common.ebxml._2._1.query.impl.AuditableEventQueryTypeImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, AuditableEventQueryType, RegistryObjectQueryType

    public class AuditableEventQueryTypeImpl

extends RegistryObjectQueryTypeImpl
implements AuditableEventQueryType

An implementation of the model object 'Auditable Event Query Type'.

The following features are implemented:

- `Auditable Event Filter`
- `Registry Object Query`
- `Registry Entry Query`
- `User Branch`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetAuditableEventFilter(FilterType newAuditableEventFilter, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRegistryEntryQuery(RegistryEntryQueryType newRegistryEntryQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRegistryObjectQuery(RegistryObjectQueryType newRegistryObjectQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetUserBranch(UserBranchType newUserBranch, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`FilterType` | `getAuditableEventFilter()`
`RegistryEntryQueryType` | `getRegistryEntryQuery()`
`RegistryObjectQueryType` | `getRegistryObjectQuery()`
`UserBranchType` | `getUserBranch()`
`void` | `setAuditableEventFilter(FilterType newAuditableEventFilter)`
`void` | `setRegistryEntryQuery(RegistryEntryQueryType newRegistryEntryQuery)`
`void` | `setRegistryObjectQuery(RegistryObjectQueryType newRegistryObjectQuery)`
`void` | `setUserBranch(UserBranchType newUserBranch)`

Methods inherited from class org.eclipse.ohf.ihe.common.ebxml._2._1.query.impl.RegistryObjectQueryTypeImpl
`basicSetDescriptionBranch, basicSetNameBranch, basicSetRegistryObjectFilter, getAuditableEventQuery, getClassifiedByBranch, getDescriptionBranch, getExternalIdentifierFilter, getNameBranch, getRegistryObjectFilter, getSlotBranch, getSourceAssociationBranch, getTargetAssociationBranch, setDescriptionBranch, setNameBranch, setRegistryObjectFilter`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._2._1.query.RegistryObjectQueryType
`getAuditableEventQuery, getClassifiedByBranch, getDescriptionBranch, getExternalIdentifierFilter, getNameBranch, getRegistryObjectFilter, getSlotBranch, getSourceAssociationBranch, getTargetAssociationBranch, setDescriptionBranch, setNameBranch, setRegistryObjectFilter`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getAuditableEventFilter

    public FilterType getAuditableEventFilter()

  Specified by:
    `getAuditableEventFilter` in interface `AuditableEventQueryType`
  Returns:
    the value of the 'Auditable Event Filter' containment reference.
  See Also:
    `AuditableEventQueryType.setAuditableEventFilter(FilterType)`, `QueryPackage.getAuditableEventQueryType_AuditableEventFilter()`

### basicSetAuditableEventFilter

    public org.eclipse.emf.common.notify.NotificationChain basicSetAuditableEventFilter(FilterType newAuditableEventFilter,
                                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

### setAuditableEventFilter

    public void setAuditableEventFilter(FilterType newAuditableEventFilter)

  Specified by:
    `setAuditableEventFilter` in interface `AuditableEventQueryType`
  Parameters:
    `newAuditableEventFilter` - the new value of the 'Auditable Event Filter' containment reference.
  See Also:
    `AuditableEventQueryType.getAuditableEventFilter()`

### getRegistryObjectQuery

    public RegistryObjectQueryType getRegistryObjectQuery()

  Specified by:
    `getRegistryObjectQuery` in interface `AuditableEventQueryType`
  Returns:
    the value of the 'Registry Object Query' containment reference.
  See Also:
    `AuditableEventQueryType.setRegistryObjectQuery(RegistryObjectQueryType)`, `QueryPackage.getAuditableEventQueryType_RegistryObjectQuery()`

### basicSetRegistryObjectQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetRegistryObjectQuery(RegistryObjectQueryType newRegistryObjectQuery,
                                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

### setRegistryObjectQuery

    public void setRegistryObjectQuery(RegistryObjectQueryType newRegistryObjectQuery)

  Specified by:
    `setRegistryObjectQuery` in interface `AuditableEventQueryType`
  Parameters:
    `newRegistryObjectQuery` - the new value of the 'Registry Object Query' containment reference.
  See Also:
    `AuditableEventQueryType.getRegistryObjectQuery()`

### getRegistryEntryQuery

    public RegistryEntryQueryType getRegistryEntryQuery()

  Specified by:
    `getRegistryEntryQuery` in interface `AuditableEventQueryType`
  Returns:
    the value of the 'Registry Entry Query' containment reference.
  See Also:
    `AuditableEventQueryType.setRegistryEntryQuery(RegistryEntryQueryType)`, `QueryPackage.getAuditableEventQueryType_RegistryEntryQuery()`

### basicSetRegistryEntryQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetRegistryEntryQuery(RegistryEntryQueryType newRegistryEntryQuery,
                                                                                      org.eclipse.emf.common.notify.NotificationChain msgs)

### setRegistryEntryQuery

    public void setRegistryEntryQuery(RegistryEntryQueryType newRegistryEntryQuery)

  Specified by:
    `setRegistryEntryQuery` in interface `AuditableEventQueryType`
  Parameters:
    `newRegistryEntryQuery` - the new value of the 'Registry Entry Query' containment reference.
  See Also:
    `AuditableEventQueryType.getRegistryEntryQuery()`

### getUserBranch

    public UserBranchType getUserBranch()

  Specified by:
    `getUserBranch` in interface `AuditableEventQueryType`
  Returns:
    the value of the 'User Branch' containment reference.
  See Also:
    `AuditableEventQueryType.setUserBranch(UserBranchType)`, `QueryPackage.getAuditableEventQueryType_UserBranch()`

### basicSetUserBranch

    public org.eclipse.emf.common.notify.NotificationChain basicSetUserBranch(UserBranchType newUserBranch,
                                                                              org.eclipse.emf.common.notify.NotificationChain msgs)

### setUserBranch

    public void setUserBranch(UserBranchType newUserBranch)

  Specified by:
    `setUserBranch` in interface `AuditableEventQueryType`
  Parameters:
    `newUserBranch` - the new value of the 'User Branch' containment reference.
  See Also:
    `AuditableEventQueryType.getUserBranch()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `RegistryObjectQueryTypeImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `RegistryObjectQueryTypeImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `RegistryObjectQueryTypeImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `RegistryObjectQueryTypeImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `RegistryObjectQueryTypeImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD